Retrieve an Entity
curl --request GET \
--url https://api.syntage.com/entities/{entityId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/Entity",
"@id": "/entities/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Link",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"type": "company",
"taxpayer": {
"@id": "/taxpayers/PEIC211118IS0",
"@type": "Taxpayer",
"id": "PEIC211118IS0",
"personType": "physical",
"registrationDate": "2023-12-25",
"name": "Pedro Infante Cruz"
},
"credential": {
"@id": "/credentials/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Credential",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": "ciec",
"rfc": "PEIC211118IS0",
"status": "pending",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
},
"tags": [
{
"@id": "/entity-tags/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "EntityTag",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"name": "Priority Entity",
"color": "#22c558",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}{
"message": "<string>"
}{
"message": "<string>"
}Entities
Retrieve an Entity
Retrieve a single entity by ID, including taxpayer, credential, and tag information when available.
GET
/
entities
/
{entityId}
Retrieve an Entity
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Response
Entity resource response
Entity IRI reference
Example:
"/entities/91106968-1abd-4d64-85c1-4e73d96fb997"
JSON-LD resource type; Entity resources currently use the legacy Link JSON-LD type for backwards compatibility
Example:
"e0a24894-7fbf-48ae-bfb0-efaae30a6319"
Type of entity
Available options:
company, person Example:
"company"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Date and time the resource was created
Example:
"2020-01-01T12:15:00.000Z"
Date and time the resource was last updated
Example:
"2020-01-01T12:15:00.000Z"
Was this page helpful?
⌘I